Errors in formatting of texts.
Status: Closed Start date: 2010-03-11

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.9.3

Description

This issue is similar on #3089, but there other category and additional errors are specified.

Combination text format not always work.

Summary table:  

bold italic underline deleted superscript subscript

bold OK OK ERROR OK OK

italic ERROR OK ERROR OK OK

underline ERROR ERROR ERROR OK OK

deleted ERROR OK OK OK OK

superscript ERROR ERROR ERROR ERROR OK

subscript ERROR ERROR ERROR ERROR ERROR

Display results of combination:  

bold + italic OK italic + bold ERROR

bold + underline OK italic + underline OK

bold + deleted ERROR italic + deleted ERROR

bold + superscript

OK

italic + superscript

OK

bold + subscript

OK

italic + subscript

OK

underline + bold ERROR deleted + bold ERROR

underline + italic ERROR deleted + italic OK

underline + deleted ERROR deleted + underline OK

underline + superscript

OK

deleted + superscript

OK

underline + subscript

OK

deleted + subscript

OK

superscript + bold

ERROR

subscript + bold

ERROR

superscript + italic

ERROR

subscript + italic

ERROR

superscript + deleted

ERROR

subscript + deleted

ERROR

superscript + underline

ERROR

subscript + underline

ERROR

superscript + subscript

OK

subscript + superscript

ERROR

Use of formatting of the text without blanks does not work.

In the description of format Textile brackets [ ] are for this purpose provided.

example:

te[_st italic te_]xt - "st italic te" should be italic.

Related issues:

Is duplicate of Redmine - Defect #3089: Text formatting sometimes breaks when... Closed 2009-04-01
https://www.redmine.org/issues/3089


Associated revisions

Revision 3561 - 2010-03-11 20:55 - Jean-Philippe Lang

Fixed: some textile modifiers combinations don't work, eg. bold inside underline (#5045).

History

#1 - 2010-03-11 08:51 - Mike Stupalov

- Assignee set to Jean-Philippe Lang

#2 - 2010-03-11 09:03 - Mike Stupalov

May be need integrate RedCloth latest version - 4.2.2?

#3 - 2010-03-11 10:35 - Mike Stupalov

I have tried the code used above on official page RedCloth http://redcloth.org/try-redcloth/ - all combinations there work.

#4 - 2010-03-11 21:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Modifiers combinations are fixed in r3561.

In the description of format Textile brackets [ ] are for this purpose provided.

 This was not a Redcloth 3 feature and thus, it's not supported by the builtin textile formatter in Redmine.

May be need integrate RedCloth latest version - 4.2.2?

 Well, it would be pretty easy to write a plugin that adds a new formatter with the latest RedCloth instead of the Redmine builtin formatter, but you'd

lose a few additions like tables of content, quoting or code highlighting.

#5 - 2010-03-15 08:04 - Mike Stupalov

- Status changed from Closed to Reopened

Many thanks for the corrections.

But there was another problem with the combination format and the brackets:

*(100 - Ksp)/100* /100

* (100 - Ksp) /100* * (100 - Ksp) /100*

And the second question, how much is difficult to add to the current format textile brackets to indicate the format without spaces?

#6 - 2010-03-20 13:57 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Also reported in #5124.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 2/2

http://redcloth.org/try-redcloth/
https://www.redmine.org/projects/redmine/repository/svn/revisions/3561
https://www.redmine.org/issues/5124
http://www.tcpdf.org

